import { __require as m } from "./index-utils10.js";
import { __require as q } from "./index-defaults.js";
var a, e;
function D() {
  if (e) return a;
  e = 1;
  var t = m(), i = q();
  return a = function(r, u, n, o) {
    var f = this || i;
    return t.forEach(o, function(s) {
      r = s.call(f, r, u, n);
    }), r;
  }, a;
}
export {
  D as __require
};
